package com.datacloudsec.scan.service.impl;

import com.datacloudsec.scan.dao.WebScreenMapper;
import com.datacloudsec.scan.service.IWebScreen;
import com.datacloudsec.utils.DataRule;
import com.datacloudsec.utils.DateUtil;
import com.datacloudsec.utils.InstanceUtil;
import com.datacloudsec.utils.ObjectUtil;
import java.text.SimpleDateFormat;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpSession;
import org.apache.commons.lang.StringUtils;

/* loaded from: com_datacloudsec_scan_service_impl.jar:com/datacloudsec/scan/service/impl/WebScreenService.class */
public class WebScreenService implements IWebScreen {
    private WebScreenMapper webScreenMapper = (WebScreenMapper) InstanceUtil.newDaoInstance(WebScreenMapper.class);

    public List<Map<String, Object>> bugTop10(HttpSession session, Integer regionSid, Integer regionCid) throws Exception {
        return this.webScreenMapper.bugTop10(DataRule.getRuleWhere(session, "t_task"), regionSid, regionCid);
    }

    public List<Map<String, Object>> bugGroupOut(HttpSession session, Integer type, Integer regionSid, Integer regionCid) throws Exception {
        return this.webScreenMapper.bugGroupOut(DataRule.getRuleWhere(session, "t_task"), type, regionSid, regionCid);
    }

    public List<Map<String, Object>> chinaMap(HttpSession session, Integer regionSid, Integer regionCid) throws Exception {
        return this.webScreenMapper.chinaMap(DataRule.getRuleWhere(session, "t_task"), regionSid, regionCid);
    }

    public Map<String, Object> bugLevel(HttpSession session, Integer regionSid, Integer regionCid) throws Exception {
        return this.webScreenMapper.bugLevel(DataRule.getRuleWhere(session, "t_task"), regionSid, regionCid);
    }

    public List<Map<String, Object>> deviceRankTop10(HttpSession session, Integer regionSid, Integer regionCid) throws Exception {
        return this.webScreenMapper.deviceRankTop10(DataRule.getRuleWhere(session, "t_task"), regionSid, regionCid);
    }

    public List<Map<String, Object>> tamperUrl(HttpSession session, Integer regionSid, Integer regionCid) throws Exception {
        return this.webScreenMapper.tamperUrl(DataRule.getRuleWhere(session, "t_task"), regionSid, regionCid);
    }

    public List<Map<String, Object>> notAvailUrl(HttpSession session, Integer regionSid, Integer regionCid) throws Exception {
        return this.webScreenMapper.notAvailUrl(DataRule.getRuleWhere(session, "t_task"), regionSid, regionCid);
    }

    public List<Map<String, Object>> horseUrl(HttpSession session, Integer regionSid, Integer regionCid) throws Exception {
        return this.webScreenMapper.horseUrl(DataRule.getRuleWhere(session, "t_task"), regionSid, regionCid);
    }

    public List<Map<String, Object>> webBugRoll(HttpSession session, Integer regionSid, Integer regionCid) throws Exception {
        List<Map<String, Object>> deviceRoll = this.webScreenMapper.webBugRoll(DataRule.getRuleWhere(session, "t_task"), regionSid, regionCid);
        Long curr = Long.valueOf(System.currentTimeMillis());
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        for (Map<String, Object> m : deviceRoll) {
            String lastTime = ObjectUtil.getString(m.get("lastTime"), "");
            if (!"".equals(lastTime)) {
                Long time = Long.valueOf(sdf.parse(lastTime).getTime());
                String lasttime = DateUtil.time2Str(Long.valueOf(curr.longValue() - time.longValue()));
                if (StringUtils.isNotBlank(lasttime)) {
                    m.put("findTime", String.valueOf(lasttime) + "前");
                }
            }
        }
        return deviceRoll;
    }

    public Integer urlCount(HttpSession session, Integer regionSid, Integer regionCid) throws Exception {
        return this.webScreenMapper.urlCount(DataRule.getRuleWhere(session, "t_task"), regionSid, regionCid);
    }

    public Integer notAvail(HttpSession session, Integer regionSid, Integer regionCid) throws Exception {
        return this.webScreenMapper.notAvail(DataRule.getRuleWhere(session, "t_task"), regionSid, regionCid);
    }

    public Integer tamper(HttpSession session, Integer regionSid, Integer regionCid) throws Exception {
        return this.webScreenMapper.tamper(DataRule.getRuleWhere(session, "t_task"), regionSid, regionCid);
    }

    public List<Map<String, Object>> keywordsUrl(HttpSession session, Integer regionSid, Integer regionCid) throws Exception {
        return this.webScreenMapper.keywordsUrl(DataRule.getRuleWhere(session, "t_task"), regionSid, regionCid);
    }
}
